Name:          qsynth
Version:       0.4.0
Release:       1mamba
Summary:       A fluidsynth GUI front-end application written in C++ around the Qt3 toolkit
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://qsynth.sourceforge.net/qsynth-index.html
Source:        http://downloads.sourceforge.net/sourceforge/qsynth/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.2.4-wrongincludes.patch
Patch1:        %{name}-0.3.1-soundfonts.patch
Patch2:        %{name}-0.3.6-default_alsa.patch
Patch3:        qsynth-0.3.8-default_pulseaudio.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
## AUTOBUILDREQ-BEGIN
BuildRequires: fluidsynth-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      fluidsynth >= 1.0.5
Requires:      soundfont-2rock9

%description
QSynth is a fluidsynth GUI front-end application written in C++ around the Qt3 toolkit using Qt Designer. Eventually it may evolve into a softsynth management application allowing the user to control and manage a variety of command line softsynth but for the moment it wraps the excellent FluidSynth.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1

%build
export QTDIR=/usr/lib/qt4
export QMAKESPEC=linux-g++
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/qsynth.desktop << EOF
[Desktop Entry]
Name=Qsynth
GenericName=Fluidsynth control interface
GenericName[it]=Interfaccia per fluidsynth
Exec=qsynth
Type=Application
Categories=Qt;KDE;AudioVideo;Music;
Terminal=0
Icon=qsynth
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
if [ $1 -ge 1 ]; then
   [ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%postun
if [ $1 -eq 0 ]; then
   [ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%files
%defattr(-,root,root)
%{_bindir}/qsynth
%{_datadir}/applications/qsynth.desktop
%{_datadir}/icons/hicolor/32x32/apps/qsynth.png
%{_datadir}/appdata/qsynth.appdata.xml
%dir %{_datadir}/qsynth
%dir %{_datadir}/qsynth/translations
%{_datadir}/qsynth/translations/qsynth_cs.qm
%{_datadir}/qsynth/translations/qsynth_de.qm
%{_datadir}/qsynth/translations/qsynth_fr.qm
%{_datadir}/qsynth/translations/qsynth_ru.qm
%{_datadir}/qsynth/translations/qsynth_sr.qm
%{_mandir}/man1/qsynth.1*
%doc AUTHORS COPYING
#ChangeLog README README-OSX TODO

%changelog
* Mon Sep 14 2015 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-2mamba
- use pulseaudio instead of alsa as default backend

* Fri Jan 03 2014 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-2mamba
- added patch to use alsa by default

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- fixed default soundfonts patch to prevent duplicate entries

* Thu May 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-1mamba
- update to 0.3.4

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-2mamba
- moved menu entry to music category

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-1mamba
- automatic update by autodist

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Tue May 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- update to 0.2.6
- desktop menu link moved to %{_datadir}/applications

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-4qilnx
- rpm group fixed

* Thu Nov 10 2005 Massimo Pintore <massimo.pintore@qilinux.it> 0.2.4-3qilnx
- added patch to start with a default soundfont

* Wed Nov 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-2qilnx
- add default soundfont (2rock9) requirement

* Thu Oct 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1qilnx
- update to version 0.2.4 by autospec

* Mon Feb 21 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2qilnx
- added desktop menu icons
- added requirement for fluidsynth

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1qilnx
- package created by autospec
